<template>
    <div>
        <o-field>
            <o-datepicker
                v-model="date"
                :date-formatter="dateToStrGB"
                icon="calendar"
                trap-focus
                range
                :mobile-modal="false"
            >
                <template #footer>
                    <div class="footer-container">
                        <o-button variant="primary" icon-left="calendar" label="Today" @click="date = new Date()" />
                        <o-button variant="danger" icon-left="times" label="Clear" @click="date = null" />
                    </div>
                </template>
            </o-datepicker>
        </o-field>
    </div>
</template>

<script>
export default {
    name: 'DateRangePicker',

    data() {
        return {
            date: null,
        }
    },

    created() {
        const last = new Date()
        const first = new Date()
        first.setDate(last.getDate() - 30)
        console.log(first)
        this.date = [first, last]
    },

    methods: {
        dateToStrGB(date) {
            console.log(date)
            if (date?.length) return `${date[0].toLocaleDateString('en-GB')} - ${date[1].toLocaleDateString('en-GB')}`
            else return ''
        },
    },
}
</script>

<style lang="scss" module>
@import '@/assets/styles/components';
.month {
    color: red !important;
    &::before {
        content: ' ' !important;
    }
    &::after {
        content: ' ' !important;
    }
}
</style>
